﻿html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}
body {
    overflow-x: hidden;
}

.container {
    max-width: 1100px;
}

/* KPIs */
.kpi-card {
    border-radius: 20px;
    background: linear-gradient(135deg, #667eea, #764ba2);
    color: white;
}

.kpi-card2 {
    border-radius: 20px;
    background: linear-gradient(135deg, #28a745, #20c997);
    color: white;
}

/* tabla */
.table thead {
    background-color: #343a40;
    color: white;
}

.card {
    border-radius: 15px;
}

.contenedor-clientes {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); /* 👈 AQUÍ */
    gap: 20px;
}
.card-cliente {
    border: 1px solid #ccc;
    padding: 15px;
    background: #f9f9f9;
    border-radius: 8px;
}

/* TABLA */
.tabla-productos {
    width: 100%;
    border-collapse: collapse;
}

    .tabla-productos th {
        text-align: left;
        border-bottom: 2px solid #000;
        padding: 5px;
    }

    .tabla-productos td {
        padding: 5px;
        border-bottom: 1px solid #ddd; /* 👈 líneas por fila */
    }

/* COLORES */
.deposito {
    color: red;
}

.totalpagar {
    color: green;
    font-weight: bold;
}

.drop-zone {
    border: 2px dashed #0d6efd;
    border-radius: 10px;
    padding: 30px;
    text-align: center;
    cursor: pointer;
    position: relative;
    transition: 0.3s;
}

    .drop-zone.dragover {
        background-color: #e7f1ff;
    }

.preview-img {
    max-width: 100%;
    margin-top: 15px;
    display: none;
    border-radius: 8px;
}

/* Loader */
.loader-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: white;
    z-index: 9999;
}

.spinner {
    border: 6px solid #ccc;
    border-top: 6px solid #0d6efd;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}